<?php
/**
 * @filesource: scatter_basic.php
 * @author:     Joachim Schmidt - joachim.schmidt@jschmidt-systemberatung.de
 * @copyright:  Copyright (C) 2016 Joachim Schmidt. All rights reserved.
 * @license:    GNU/GPL
 * @version:    0.1
 * @abstract:   sample to show use of php-helper classes for php_RGraph package
 *
 */
include_once "environment.php";
use phpRGraph\rgraph_chart;
use phpRGraph\rgraph_options;

// rgraph chart
$template = "default.php";
$draw_option = "draw();";
$width = "650";
$height = "400";

$chart = new rgraph_chart("cvs", null, "Scatter");

$x_values = array( 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26);
$y_values = array(78.5, 86, 87.8, 87.7, 86.8, 86.7, 91.1, 90.7, 0, 88.6, 89.1, 0, 84.3, 0, 77.8, 79, 82.2, 0, 79.1, 0, 77.7, 70.8, 71.5, 0, 76.2, 0 );

$data = $chart->createScatterData($x_values, $y_values);
$chart->set_data($data);

$options = new rgraph_options("default.ini");
$options->set_option("marginLeft", 100);
$options->set_option("marginRight", 10);

$options->set_option("title","Body Size versus Length of Arms");
$options->set_option("xaxisLabels", $options->xlabelsteps($x_values, 2));
$options->set_option("xaxisScaleMin", 150);
$options->set_option("xaxisScaleMax", 196);
$options->set_option("yaxisScaleMax", 203);
$options->set_option("yaxisScaleMin", 0);
$options->set_option("yaxisScaleUnitsPost"," cm");
$options->set_option("yaxisTitle","Body Size");
$options->set_option("xaxisTitle","Length of Arms in cm");
$options->set_option("xaxisTitlePos",0.50);
$options->set_option("yaxisTitlePos",0.50);
$options->set_option("trendline", true);
$options->set_option("trendlineColor", "red");
$options->set_option("trendlineClipping", false);


$chart->set_options($options);
$rgraph_json = $chart->toString();

$event_script = "";
$chart_script = "";

include_once ($templates . $template);
?>



